
(require-extension qwiki-sxml sxml-transforms svnwiki-sxml)

;; From sxml-fu
(define (output-xml tree rulesets)
  (SRV:send-reply (fold (lambda (ruleset tree)
                          (pre-post-order* tree ruleset))
                        tree rulesets)))

(let ((content (call-with-input-file "tests/simple.wiki" svnwiki->sxml)))
  (output-xml `(wiki-page (Header (read-only)) (body (wiki-content ,content))) 
	      (qwiki-html-transformation-rules content)))

(let ((content (call-with-input-file "tests/simple.wiki" svnwiki->sxml)))
  (output-xml `(wiki-page ,content) (qwiki-LaTeX-transformation-rules content)))

(let ((content (call-with-input-file "tests/simple.wiki" svnwiki->sxml)))
  (output-xml `(wiki-page ,content) (qwiki-Texinfo-transformation-rules content)))
